org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ElementMapTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapTest.Traversals

- Enclosing class:
    ElementMapTest

      public static class ElementMapTest.Traversals
      extends ElementMapTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapTest

      `ElementMapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Map<Object,Object>>` | `get_g_EX11X_elementMap(Object e11Id)`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_elementMap()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_elementMapXname_ageX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapTest

      `g_EX11X_elementMap, g_V_elementMap, g_V_elementMapXname_ageX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_elementMap

          public Traversal<Vertex,Map<Object,Object>> get_g_V_elementMap()

      Specified by:
        `get_g_V_elementMap` in class `ElementMapTest`

    - #### get_g_V_elementMapXname_ageX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_elementMapXname_ageX()

      Specified by:
        `get_g_V_elementMapXname_ageX` in class `ElementMapTest`

    - #### get_g_EX11X_elementMap

          public Traversal<Edge,Map<Object,Object>> get_g_EX11X_elementMap(Object e11Id)

      Specified by:
        `get_g_EX11X_elementMap` in class `ElementMapTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.